commit:     8954c9fc6a7b466552a05dfc158ffea91576bccd
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  3 06:06:47 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jul  3 09:14:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8954c9fc

dev-ruby/binding_of_caller: update EAPI 7 -> 8

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../binding_of_caller-1.0.0-r2.ebuild              | 30 ++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/dev-ruby/binding_of_caller/binding_of_caller-1.0.0-r2.ebuild 
b/dev-ruby/binding_of_caller/binding_of_caller-1.0.0-r2.ebuild
new file mode 100644
index 000000000000..8d0a4d13f8f5
--- /dev/null
+++ b/dev-ruby/binding_of_caller/binding_of_caller-1.0.0-r2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="binding_of_caller.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Retrieve the binding of a method's caller"
+HOMEPAGE="https://github.com/banister/binding_of_caller";
+SRC_URI="https://github.com/banister/binding_of_caller/archive/v${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/debug_inspector-0.0.1"
+
+all_ruby_prepare() {
+       sed -i -e "s:_relative ': './:" -e 's/git ls-files -z/find * -print0/' 
${RUBY_FAKEGEM_GEMSPEC} || die
+       sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+}

Reply via email to